# - platform config mode
#
# Defines the following variables:
#  platform_FOUND        - true
#  platform_VERSION      - version of the platform library found, e.g. 0.2
#  platform_INCLUDE_DIRS - header directories with which to compile
#  platform_LINKER_FLAGS - flags that must be passed to the linker
#  platform_LIBRARIES    - names of the libraries with which to link
#  platform_LIBRARY_DIRS - directories in which the libraries are situated
#
# propagate these properties from one build system to the other
set (cec-platform_VERSION "1.0")
set (cec-platform_INCLUDE_DIRS /usr/include/cec-platform /usr/include)
set (cec-platform_LIBRARY_DIRS "")
set (cec-platform_LINKER_FLAGS "")
set (cec-platform_CONFIG_VARS "")

# libraries come from the build tree where this file was generated
if(WIN32)
  set (cec-platform_LIBRARY "/usr//usr/lib/arm-linux-gnueabihf/cec-platform.lib")
else(WIN32)
  set (cec-platform_LIBRARY "-L/usr//usr/lib/arm-linux-gnueabihf -lcec-platform")
endif(WIN32)
set (cec-platform_LIBRARIES ${cec-platform_LIBRARY} "-lpthread;fstrcmp")
mark_as_advanced (cec-platform_LIBRARY)

# add the library as a target, so that other things in the project including
# this file may depend on it and get rebuild if this library changes.
add_library (cec-platform UNKNOWN IMPORTED)
set_property (TARGET cec-platform PROPERTY IMPORTED_LOCATION "${cec-platform_LIBRARY}")
